# permite actulizar el sources.list con la variable <%= lsbdistcodename %>
# asi no tenemos que hacer el hardcoding del nombre de la distribucion
# el template esta en /etc/puppet/templates/ubuntu/sources.list.erb

class ubuntu::apt {
    file { "/etc/apt/sources.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("ubuntu/sources.list.erb"),
    }
    exec{"/usr/bin/apt-get update":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list"],
        require => File["/etc/apt/sources.list"],
    }
}

# deb http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu YOUR_UBUNTU_VERSION_HERE main 
# deb-src http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu YOUR_UBUNTU_VERSION_HERE main

class ubuntu::apt::mozilla {
    file { "/etc/apt/sources.list.d/ubuntu-mozilla-daily.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("ubuntu/ubuntu-mozilla-daily.list.erb"),
    }
    exec{"/usr/bin/apt-get update":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list.d/ubuntu-mozilla-daily.list"],
        require => File["/etc/apt/sources.list.d/ubuntu-mozilla-daily.list"],
    }
}

