# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class escritorio::gnome-theme::xp {

    svn::checkout { gnome-theme-xp:
        repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/gnome-theme-xp",
        local_path => "/dist/svn-redcta",
        local_name => "gnome-theme-xp",
    }

    file { "/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh":
        ensure => "present",
        owner => "root", group => "root", mode => "755", checksum => mtime,
#       require => svn::checkout["gnome-theme-xp"],
    }

## TODO: exec this when there is a svn checkout
    exec { "/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh":
        refreshonly => true,
        subscribe => File["/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh"]
    }
}


class escritorio::iconos {

    file  { "/etc/X11/Xsession.d/65xdg-user-desktop-icons-update":
        ensure => "/dist/svn-redcta/gnome-theme-xp/Xsession.d/65xdg-user-desktop-icons-update"
    }
}


class escritorio::fondos::cta {

    svn::checkout { escritorio-fondos-cta:
        repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/escritorio-fondos-cta",
        local_path => "/dist/svn-redcta",
        local_name => "escritorio-fondos-cta"
    }

    file  { "/usr/share/backgrounds/wpiedras-hojitas.jpg":
        ensure => "/dist/svn-redcta/escritorio-fondos-cta/wpiedras-hojitas.jpg"
    }

    file { "/usr/share/backgrounds/wpiedras-verdecito.jpg":
        ensure => "/dist/svn-redcta/escritorio-fondos-cta/wpiedras-verdecito.jpg"
    }
}


class escritorio::autostart-off {

    define deshabilita_servicios($archivos) {
        deshabilita_servicio { $archivos: archivo => $name }
    }

    define deshabilita_servicio($archivo) {
        file { "${archivo}/$name"  : ensure => present, }

        line { "verdadero$name" :
            file   => "${archivo}/$name",
            line   => "X-GNOME-Autostart-enabled=true",
            ensure => absent,
        }
        line { "falso$name":
            file   => "${archivo}/$name" ,
            line   => "X-GNOME-Autostart-enabled=false",
            ensure => present,
        }
    }

    deshabilita_servicios { "/etc/xdg/autostart":
        archivos => [ "vino-server.desktop", "update-notifier.desktop", "bluetooth-applet.desktop", "evolution-alarm-notify.desktop", "jockey-gtk.desktop", "gnome-at-session.desktop", "gnome-power-manager.desktop" ],
    }
}
