# copyright albertorosenberg @ cta.org.ar
# copyright sebas @ cta.org.ar
# Licence: GPL
#

class escritorio::tb2conf {

    package { [
        "thunderbird",
        "thunderbird-gnome-support"
        ]: ensure => installed
    }

    file { "/usr/share/thunderbird/defaults/pref/mailnews.js":
        owner   => root,
        group   => root,
        mode    => 644,
        source  => "puppet:///escritorio/tb2conf/mailnews.js",
        require => Package["thunderbird"]
    }
}

class escritorio::tb2::extensions {

    svn::checkout { thunderbird-extension:
        repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/thunderbird",
        local_path => "/dist/svn-redcta",
        local_name => "thunderbid-extensions"
    }

    file { "/usr/share/thunderbird/isp/example-isp.rdf":
        ensure => "/dist/svn-redcta/thunderbid-extensions/agregados/sources/isp/example-isp.rdf"
    }

# TODO: hacer lo andar bien...
#    file { "/usr/lib/thunderbird/extensions/syncmlplugin@funambol.com":
#        ensure => "/dist/svn-redcta/thunderbid-extensions/funambol/dist"
#    }
}

