class fileserver {

}


# http://blog.delacelle.com/post/2009/01/19/tuto-comment-creer-votre-serveur-timecapsule-sous-debian-ou-ubuntu/

class fileserver::netatalk {

    package { [ "netatalk" ]: ensure => installed }

    file {
        "/etc/default/netatalk":
          owner   => root,
          group   => root,
          mode    => 644,
          source  => "puppet:///fileserver/netatalk/netatalk",
          notify  => Service[netatalk],
          require => Package["netatalk"];
        "/etc/netatalk/AppleVolumes.default":
          owner   => root,
          group   => root,
          mode    => 644,
          source  => "puppet:///fileserver/netatalk/AppleVolumes.default",
          notify  => Service[netatalk],
          require => Package["netatalk"];
    }

    service { "netatalk":
        enable    => true,
        ensure    => running,
        pattern   => "afpd",
        subscribe => [ Package["netatalk"] ],
    }

   package { [ "avahi-daemon" ]: ensure => installed }

   file {                                                                             
        "/etc/avahi/services/afpd.service":
          owner   => root,
          group   => root,
          mode    => 644,
          source  => "puppet:///fileserver/avahi/afpd.service",
          notify  => Service[avahi-daemon],
          require => Package["avahi-daemon"]; 
    }

    service { "avahi-daemon":
        enable    => true,
        ensure    => running,
        subscribe => [ Package["avahi-daemon"] ],
    }       
}
